org.apache.cayenne.rop

## Class ProxyRemoteService

- java.lang.Object
- - org.apache.cayenne.rop.ProxyRemoteService

- All Implemented Interfaces:
    Remote, org.apache.cayenne.remote.RemoteService

      public class ProxyRemoteService
      extends Object
      implements org.apache.cayenne.remote.RemoteService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ROPConnector` | `ropConnector`
    `protected org.apache.cayenne.rop.ROPSerializationService` | `serializationService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyRemoteService(org.apache.cayenne.rop.ROPSerializationService serializationService, ROPConnector ropConnector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `org.apache.cayenne.remote.RemoteSession` | `establishSession()`
    `org.apache.cayenne.remote.RemoteSession` | `establishSharedSession(String name)`
    `Object` | `processMessage(org.apache.cayenne.remote.ClientMessage message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializationService

          protected org.apache.cayenne.rop.ROPSerializationService serializationService

    - #### ropConnector

          protected ROPConnector ropConnector

  - ### Constructor Detail

    - #### ProxyRemoteService

          public ProxyRemoteService(org.apache.cayenne.rop.ROPSerializationService serializationService,
                                    ROPConnector ropConnector)

  - ### Method Detail

    - #### establishSession

          public org.apache.cayenne.remote.RemoteSession establishSession()
                                                                   throws RemoteException

      Specified by:
        `establishSession` in interface `org.apache.cayenne.remote.RemoteService`
      Throws:
        `RemoteException`

    - #### establishSharedSession

          public org.apache.cayenne.remote.RemoteSession establishSharedSession(String name)
                                                                         throws RemoteException

      Specified by:
        `establishSharedSession` in interface `org.apache.cayenne.remote.RemoteService`
      Throws:
        `RemoteException`

    - #### processMessage

          public Object processMessage(org.apache.cayenne.remote.ClientMessage message)
                                throws RemoteException,
                                       Throwable

      Specified by:
        `processMessage` in interface `org.apache.cayenne.remote.RemoteService`
      Throws:
        `RemoteException`
        `Throwable`

    - #### close

          public void close()
                     throws RemoteException

      Specified by:
        `close` in interface `org.apache.cayenne.remote.RemoteService`
      Throws:
        `RemoteException`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.